Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05925 Debugger Critical (emulator) Have not tried Apr 22, 2015, 11:34 May 4, 2018, 11:45
Tester hap View Status Public Platform
Assigned To galibert Resolution Fixed OS
Status [?] Resolved Driver
Version 0.160 Fixed in Version Build
Summary MESS-specific 05925: unidasm fails with hmcs40
Description unidasm and in-debugger disasm fails with hmcs40

hmcs40 is the 4-bit mcu family, in: src/emu/cpu/hmcs40
The crash is due to lfsr program counter, unexpectedly jumping all around the place instead of incrementing linearly. This is a known limitation in the current debugger.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.11859
hap
Developer
Jul 8, 2015, 12:48
emu/cpu/sm510 is even more problematic :(
This is Sharp SM510 MCU family. It has a LFSR program counter like HMCS40, plus it handles variable-length instructions (1 byte or 2 bytes). If the 2nd byte is located on an address lower than the current pc, the debugger won't be able to read it.

For example, the full instruction would be:
oprom[0] << 8 | oprom[-12]
User avatar
No.15002
hap
Developer
May 4, 2018, 11:45
This was fixed a while ago with galibert's debugger overhaul.